Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364069 - [3.1.3_async]: Upgrade fro 3.0.4 needs an important note for geo-replication
Summary: [3.1.3_async]: Upgrade fro 3.0.4 needs an important note for geo-replication
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Installation_Guide
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: RHGS 3.1.3 Async
Assignee: Laura Bailey
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1341526
TreeView+ depends on / blocked
 
Reported: 2016-08-04 12:20 UTC by Rahul Hinduja
Modified: 2016-09-13 01:56 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-13 01:56:02 UTC


Attachments (Terms of Use)

Description Rahul Hinduja 2016-08-04 12:20:39 UTC
Document URL: 
=============

Currently we recommend geo-replication to be used with meta volume. However, when an upgrade is done from 3.0.4 to 3.1.3, the existing geo-replication will not be using shared volume. No failure will be observed but it will continue to use older way of geo-replication. Hence it is good to keep a generic note as follows:

8.3. In-service Software Update to Red Hat Gluster Storage 3.1.x from 3.y.z

Step 11:
========

Initial Note before starting geo-rep, following important note can be added:


Current release recommends to make use of shared volume with geo-replication. To configure follow the following steps: use of shared volume with:

1. Execute the following command from one of the master node:
gluster volume set all cluster.enable-shared-storage enable
2. Configure geo-replication to use shared volume by executing:
gluster volume geo-replication MASTER_VOL SLAVE_HOST::SLAVE_VOL config use_meta_volume true

For more information: 

Section:  ⁠10.8. Setting up Shared Storage Volume and 14.3.5. Configuring a Meta-Volume

Comment 8 Rahul Hinduja 2016-08-05 05:20:31 UTC
Thanks Laura,

Text looks good to me except the following:

=========================
Proposed in comment 5:

Then configure geo-replication to use shared volumes as a meta volume by
setting use_meta_volume to true when creating the geo-replicated volume:

Should be:

Then configure geo-replication to use shared volumes as a meta volume by
setting use_meta_volume to true
=========================

This is just to avoid confusion as with upgrade geo-rep will already be inplace

Comment 10 Bhavana 2016-08-05 09:23:05 UTC
Hi,

The following changes are made based on my discussion with Byreddy:

1) The following "Important" section is removed from Section 8.1. "Updating Red Hat Gluster Storage from 3.0.x to 3.1.x in the Offline Mode"
___________________________________________________________________
 As of Red Hat Gluster Storage 3.1, a meta volume is recommended when geo-replication is configured. However, when upgrading geo-replicated Red Hat Gluster Storage from version 3.0.x to 3.1.y, the older geo-replicated configuration that does not use shared volumes continues to be used. Red Hat recommends reconfiguring geo-replication following upgrade to Red Hat Gluster Storage 3.1 to ensure that shared volumes are used and a meta volume is configured.
To do so, enable shared volumes by setting the cluster.enable-shared-storage parameter to enable from the master node:

# gluster volume set all cluster.enable-shared-storage enable

Then configure geo-replication to use shared volumes as a meta volume by setting use_meta_volume to true.

# gluster volume geo-replication MASTER_VOL SLAVE_HOST::SLAVE_VOL config use_meta_volume true

For further information see the following sections in the Red Hat Gluster Storage 3.1 Administration Guide:

    https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-single/Administration_Guide/index.html#chap-Managing_Red_Hat_Storage_Volumes-Shared_Volume
    https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-single/Administration_Guide/index.html#chap-Managing_Geo-replication-Meta_Volume 

__________________________________________________________

2) The same is added in step 11 of section 8.3. In-service Software Update from Red Hat Gluster Storage 3.y.z to Red Hat Gluster Storage 3.1.x

3) The updated Step 11 from section 8.3 is also replicated as step 9 in section 8.1

Following is the updated link:

http://jenkinscat.gsslab.pnq.redhat.com:8080/view/Gluster/job/doc-Red_Hat_Gluster_Storage-3.1-Installation_Guide%20%28html-single%29/lastBuild/artifact/tmp/en-US/html-single/index.html#Updating_Red_Hat_Storage_in_the_Offline_Mode

Comment 11 Byreddy 2016-08-05 09:33:02 UTC
Thanks Bhavana for this modification.

Modification looks good to me and it's confirmed from Aravinda as well.

Moving to verified state.

Comment 12 Laura Bailey 2016-09-13 01:56:02 UTC
Closing bugs released as part of 3.1.3 GA and 3.1.3 Async update.


Note You need to log in before you can comment on or make changes to this bug.